Subject: Re: [media-types] [apps-discuss] A proposal for a new top-level media type: archive

From: Stian Soiland-Reyes <[email-masked]>
Date: Tue, 4 Nov 2014 10:40:11 +0000

Hi,

Was any decission made on the new archive/ tree?

Can we just start sending in submission? I would like to submit my
archive/robundle+zip as we want to stabilize our spec.

On 13 October 2014 10:35, Stian Soiland-Reyes
<[email-masked]> wrote:
> +1 as well, specially on the general handling. For instance any archive/*
> could go through antivirus check.
>
> We have an archive type we have been meaning to get out of draft status and
> register with IANA as well, we currently call it
> application/vnd.wf4ever.robundle+zip but archive/robundle+zip would be a
> much better fit.
>
> https://w3id.org/bundle
>
> On 25 Sep 2014 06:06, "Ira McDonald" <[email-masked]> wrote:
>>
>> Hi,
>>
>> +1
>>
>> Cheers,
>> - Ira
>>
>>
>> Ira McDonald (Musician / Software Architect)
>> Co-Chair - TCG Trusted Mobility Solutions WG
>> Chair - Linux Foundation Open Printing WG
>> Secretary - IEEE-ISTO Printer Working Group
>> Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
>> IETF Designated Expert - IPP & Printer MIB
>> Blue Roof Music / High North Inc
>> http://sites.google.com/site/blueroofmusic
>> http://sites.google.com/site/highnorthinc
>> mailto: [email-masked]
>> Winter  579 Park Place  Saline, MI  48176  734-944-0094
>> Summer  PO Box 221  Grand Marais, MI 49839  906-494-2434
>>
>>
>> On Wed, Sep 24, 2014 at 10:38 PM, Ned Freed <[email-masked]> wrote:
>>>
>>> > On 25 September 2014 09:23, Sean Leonard <[email-masked]> wrote:
>>>
>>> > > Colleagues on media-types and apps-discuss:
>>> > >
>>> > > I would like to propose that the IETF create a new top-level media
>>> > > type:
>>> > > archive.
>>> > >
>>> > >
>>> > Colour me interested.
>>>
>>> Yeah, me too. I'm surpised nobody has suggested this before.
>>>
>>>                                 Ned
>>>
>>> _______________________________________________
>>> apps-discuss mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/apps-discuss
>>
>>
>>
>> _______________________________________________
>> media-types mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/media-types
>>
>

-- 
Stian Soiland-Reyes, myGrid team
School of Computer Science
The University of Manchester
http://soiland-reyes.com/stian/work/ http://orcid.org/0000-0001-9842-9718

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Tue, 4 Nov 2014 15:26:18 -0800

> Was any decission made on the new archive/ tree?

A BoF is being held next week at IETF 91 to discuss precisely this.  If you
are interested in participating, look for the "arcmedia" entry in the
agenda and from there you should be able to find links to remote
participation facilities (jabber, audio streaming).

> archive/robundle+zip as we want to stabilize our spec.

As others have said, it can't hurt to post a draft (once the embargo
lifts).  What's the worst that could happen?

-MSK

---

From: Stian Soiland-Reyes <[email-masked]>
Date: Wed, 5 Nov 2014 11:30:54 +0000

On 4 November 2014 23:26, Murray S. Kucherawy <[email-masked]> wrote:
> On Tue, Nov 4, 2014 at 2:40 AM, Stian Soiland-Reyes
> are interested in participating, look for the "arcmedia" entry in the agenda
> and from there you should be able to find links to remote participation
> facilities (jabber, audio streaming).

Thanks, I've signed up as remote participant, so I'll join the WebEx
for this BOF.

> As others have said, it can't hurt to post a draft (once the embargo lifts).
> What's the worst that could happen?

I just refreshed the RFC rules for this.. would I need to submit a
separate RFC for a new non-vnd mediatype, or would the application
here be enough?  (In development we have used
application/vnd.wf4ever.robundle+zip which we have not registered)

---

From: Graham Klyne <[email-masked]>
Date: Tue, 04 Nov 2014 11:25:50 +0000

> Was any decission made on the new archive/ tree?
Not that I've seen.  But that doesn't stop you from drafting and submitting a 
proposal for one - http://tools.ietf.org/html/rfc2077 might provide a model 
(sic) to follow.

> archive/robundle+zip as we want to stabilize our spec.
AFAIK, there's no way to register that until the top-level type is approved, 
which I think requires standards action.  But you might submit an Internet-draft 
in parallel with a top-level type proposal.

#g
--

---

From: Dave Crocker <[email-masked]>
Date: Tue, 04 Nov 2014 07:53:03 -0800

On 11/4/2014 3:25 AM, Graham Klyne wrote:
> AFAIK, there's no way to register that until the top-level type is
> approved, which I think requires standards action.  But you might submit
> an Internet-draft in parallel with a top-level type proposal.

+1

I remain conflicted about doing this new top-level type -- per the notes
I posted earlier -- but it's clear that it has meaningful, strong and
broad support.  (Including from one or another curmudgeon who is
typically ready to attack marginal ideas...)

As such, you really should just charge ahead.  Formal "decision-making"
comes after doing the write-up(s).

d/

-- 
Dave Crocker
Brandenburg InternetWorking
bbiw.net

---

From: Ned Freed <[email-masked]>
Date: Thu, 06 Nov 2014 10:17:52 -0800 (PST)

> application/vnd.wf4ever.robundle+zip which we have not registered)

In general it depends on the standards organization behind the regisration.
Such an organization could in theory have a model where publication in their
document stream is not required. But in the case of the IETF, the registration
MUST be published in an RFC. See RFC 6838, section 3.1, second paragraph.

				Ned